View Issue Details

IDProjectCategoryView StatusLast Update
0000690OpenFOAM[All Projects] Bugpublic2015-02-05 21:16
ReporterHishamAssigned Tohenry 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinuxOSUbuntu OS Version11.04
Product Version 
Fixed in Version 
Summary0000690: False naming of internal faceZone/faceSet produced by gmshToFoam
DescriptionSelecting an internal surface in a Gmsh geometry and assigning a physical surface name to it, it is transferred as a faceZone/faceSet of a name different than the assigned name to the physical surface. However, the assigned name is the name of the cellZone that has the same index of the faceZone.
Steps To Reproducegmsh -3 file.geo; gmshToFoam file.msh
Additional InformationSolution:

This solution worked for me: Line #1062 in gmshToFoam.C
instead of:

label physReg = zoneToPhys[zoneI];

use:

label physReg = patchToPhys[zoneI];
 
TagsNo tags attached.

Activities

user560

2012-12-11 19:30

  ~0001820

I'm facing the same problem, but your suggestion didn't help. Some new solution?

Hisham

2012-12-14 18:52

reporter   ~0001841

It is working for me. So excuse me for this question: have you recompiled gmshToFoam after editing the code?

user560

2013-01-03 13:55

  ~0001853

Hello Hisham,

indeed, I haven't compiled the edited gmshToFoam.C file.

After login via "sudo bash" as root, changing to gmshToFoam directory and applying "wmake" it recompiled the new file. Now, gmshToFoam is assigning facesets/cellsets correctly.

Thank you for your solution!

Issue History

Date Modified Username Field Change
2012-11-29 15:07 Hisham New Issue
2012-12-11 19:30 user560 Note Added: 0001820
2012-12-14 18:52 Hisham Note Added: 0001841
2013-01-03 13:55 user560 Note Added: 0001853
2015-02-05 10:19 henry Status new => resolved
2015-02-05 10:19 henry Resolution open => fixed
2015-02-05 10:19 henry Assigned To => henry